from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XSimpleMailMessage(XInterface, Protocol):
    def setRecipient(self, aRecipient: str) -> None: ...
    def getRecipient(self) -> str: ...
    def setCcRecipient(self, aCcRecipient: sequence< string >) -> None: ...
    def getCcRecipient(self) -> list[str]: ...
    def setBccRecipient(self, aBccRecipient: sequence< string >) -> None: ...
    def getBccRecipient(self) -> list[str]: ...
    def setOriginator(self, aOriginator: str) -> None: ...
    def getOriginator(self) -> str: ...
    def setSubject(self, aSubject: str) -> None: ...
    def getSubject(self) -> str: ...
    def getAttachement(self) -> list[str]: ...
